---
id: ddi
title: ddi
hide_title: true
hide_table_of_contents: true
sidebar_label: ddi
description: DDI commands
---
## ipsw idev img ddi

DDI commands

```
ipsw idev img ddi [flags]
```

### Options

```
  -b, --backup          Backup DDI
  -c, --clean           Clean DDI
  -h, --help            help for ddi
  -i, --info            Show DDI info
  -o, --output string   Output directory
  -s, --source string   Update DDI from source directory
  -x, --xcode           Update DDI from Xcode
```

### Options inherited from parent commands

```
      --color           colorize output
      --config string   config file (default is $HOME/.config/ipsw/config.yaml)
      --no-color        disable colorize output
  -u, --udid string     Device UniqueDeviceID to connect to
  -V, --verbose         verbose output
```

### SEE ALSO

* [ipsw idev img](/docs/cli/ipsw/idev/img)	 - Image commands

